.cta-section {
    margin-top: -65px;
    border-radius: 12px;
    z-index: 3;
    position: relative;
    box-shadow: 0 0 15px rgba(30, 41, 59, 0.5) !important;
    background-image: url("../images/bg-light.png");
    background-size: cover;
    background-position: center;
}
.cta-section h3 {
    text-align: left;
    font-size: 26px !important;
}
.bg-color-gray {
    background-color: #f7f8f9 !important;
}

.upload-container .upload-box {
    border: 2px dashed #6155b468;
    background-color: rgba(97, 85, 180, 0.1);
    border-radius: 5px;
    padding: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease, border-color 0.3s ease;
    position: relative;
    z-index: 2;
}

.upload-container .upload-box:hover {
    background-color: rgba(97, 85, 180, 0.3);
    border-color: #6155b4;
}

.upload-container .upload-icon {
    font-size: 50px;
    color: #6155b4;
    margin-bottom: 10px;
}

.upload-container .upload-box p {
    color: #6155b4;
    font-weight: bold;
}
.dz-button {
    display: none;
}
.upload-container input[type="file"] {
    display: none;
}
.upload-container .dropzone {
    padding-top: 86px;
    padding-bottom: 0px;
    min-height: 100px !important;
}
.dz-default .dz-message {
    display: none;
    margin: 0px;
}
.dropzone .dz-preview .dz-error-mark,
.dropzone .dz-preview .dz-success-mark {
    top: 12px !important;
    right: -17px !important;
    background: #6155b4;
    border-radius: 57px;
    left: auto !important;
}
.dropzone .dz-preview .dz-error-mark svg,
.dropzone .dz-preview .dz-success-mark svg {
    display: block;
    width: 24px !important;
    height: 24px !important;
}
.dropzone .dz-preview .dz-error-mark svg,
.dropzone .dz-preview .dz-success-mark svg {
    display: block;
    width: 30px;
    height: 30px;
}
.dropzone .dz-preview .dz-error-mark,
.dropzone .dz-preview .dz-success-mark {
    top: 50%;
}
.dropzone .dz-preview.dz-error:hover .dz-error-message {
    display: none;
}
.dropzone .dz-preview .dz-image, .dropzone .dz-preview.dz-image-preview {
    border-radius: 6px !important;
}

/* Tablet View */
@media (min-width: 768px) and (max-width: 991px) {
    h3 {
        font-size: 26px !important;
    }
    .cta-section h3 {
        text-align: left;
    }

    .cta-section .btn-wide {
        white-space: nowrap; /* Ensures button text stays on one line */
        display: inline-block;
    }
}

/* Mobile View */
@media (max-width: 767px) {
    h3 {
        font-size: 22px !important;
    }
    .cta-section h3 {
        text-align: center;
    }

    .cta-section .btn-wide {
        display: block;
        width: 100%;
        text-align: center;
        margin: 0 auto;
    }
}

@media (min-width: 768px) and (max-width: 1200px) {
    .tradesman-image-1 {
        height: 400px;
        width: 100%;
        object-fit: cover;
    }
    .location-card h5 {
        font-size: 15px !important;
        font-weight: 600 !important;
    }
}

@media (max-width: 767px) {
    .tradesman-image-2 {
        height: 214px;
        width: 100%;
        object-fit: cover;
    }
    .location-card h5 {
        font-size: 15px !important;
        font-weight: 600 !important;
    }
}

.video-wrapper {
    position: relative;
    height: 450px;
    width: 550px;
    overflow: hidden;
    border-radius: 10px !important;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3) !important; /* Base shadow */
    transform-style: preserve-3d;
    animation: shadowAnimation 4s infinite alternate;
    transition: box-shadow 0.3s ease-in-out;
}

.video-wrapper:hover {
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.5); /* Shadow on hover */
}

.play-button-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-550%, -510%);
    z-index: 10; /* Ensure it appears above the video */
}

.avatar {
    width: 60px; /* Adjust size as needed */
    height: 60px; /* Adjust size as needed */
    background-color: rgba(
        255,
        255,
        255,
        0.8
    ); /* Optional: Background color with some transparency */
    border: 2px solid #fff; /* Optional: Border around the button */
}

.mdi-play {
    font-size: 24px; /* Adjust size as needed */
    color: #007bff; /* Primary color */
}

@keyframes shadowAnimation {
    0% {
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
        transform: rotateX(0) rotateY(0) translateZ(0);
    }
    100% {
        box-shadow: 0 25px 50px rgba(0, 0, 0, 0.5);
        transform: rotateX(-15deg) rotateY(10deg) translateZ(20px);
    }
}

.shape-icon {
    display: block;
    position: absolute;
    width: 60px;
    height: auto;
}
.circle-position {
    top: -38px;
    /* left: 36px; */
}
.animate-circle {
    position: absolute;
    animation: move-in-circle 6s linear infinite;
}
@keyframes move-in-circle {
    0% {
        transform: rotate(0deg) translateX(10px) rotate(0deg);
    }
    100% {
        transform: rotate(360deg) translateX(10px) rotate(-360deg);
    }
}

.list-group-item.active {
    z-index: 2;
    color: #fff;
    background-color: #6155b4;
    border-color: #6155b4;
}

.ck-editor__editable_inline,
#bidDescription,
.ck.ck-content.ck-editor__editable.ck-rounded-corners.ck-editor__editable_inline {
    min-height: 300px;
}

/* Sidebar when collapsed */
#sidebar.collapsed {
    width: 63px;
    transition: width 0.4s ease-in-out, opacity 0.4s ease-in-out,
        transform 0.4s ease-in-out;
}

/* Sidebar when expanded */
#sidebar.expanded {
    width: 250px; /* Adjust this to your desired width when expanded */
    opacity: 1;
    transform: translateX(0); /* Reset the slide effect */
}

/* Main content adjustment when sidebar is collapsed */
#mainContent.expanded {
    width: calc(100% - 63px);
    transition: width 0.4s ease-in-out;
}

/* Sidebar Hover Effect */
#sidebar:hover:not(.collapsed) {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* Rotate Icon Animation */
.rotate-icon {
    transition: transform 0.4s ease-in-out;
}

.rotate-icon.rotated {
    transform: rotate(180deg);
}

/* Desktop Specific Media Query */
@media (min-width: 992px) {
    #sidebar.col-closed {
        width: 63px;
        transition: width 0.4s ease-in-out;
        box-shadow: 0 0 3px rgba(30, 41, 59, 0.15) !important;
    }

    /* Main content full-width when sidebar collapsed */
    #mainContent.full-width {
        width: calc(100% - 63px);
        transition: width 0.4s ease-in-out;
    }

    /* Sidebar Animation */
    #sidebar.col-closed,
    #sidebar.col-opened {
        animation: slideInOut 0.4s ease-in-out;
    }

    /* Slide In/Out Animation */
    @keyframes slideInOut {
        from {
            opacity: 0;
            transform: translateX(-20px);
        }
        to {
            opacity: 1;
            transform: translateX(0);
        }
    }
}
@media (min-width: 992px) and (max-width: 1200px) {
    #sidebar {
        width: 63px;
    }
    #sidebar.col-closed {
        width: 63px;
    }
    #sidebar.col-closed .nav-text {
        display: none;
    }
    #sidebar .nav-text {
        display: block;
    }
    #sidebarToggle,
    .sidebar-logo {
        display: none;
    }
    #mainContent {
        width: calc(100% - 63px);
    }
    #topnav {
        z-index: 99999;
        background-color: white;
    }
}

@media (max-width: 991.98px) {
    #sidebar {
        position: fixed;
        top: 0;
        left: -80vw; /* Hidden off-screen */
        width: 300px;
        height: 100%;
        background-color: #fafafa; /* Match sidebar background */
        transition: left 0.3s ease-in-out;
        z-index: 1050; /* Ensure it appears above other elements */
    }

    #sidebar::after {
        min-width: 100vw;
        min-height: 100vh;
        background-color: #007bff;
        display: flex;
    }

    #sidebar.col-opened {
        left: 0; /* Slide in from the right */
        overflow-y: scroll;
        height: 100vh;
        padding: 20px;
        box-shadow: 0 0 400px rgba(30, 41, 59, 0.8) !important;
    }

    #mainContent {
        transition: margin-right 0.3s ease;
        margin-right: 250px;
    }

    #mainContent.full-width {
        margin-right: 0;
    }

    .navbar-toggle:focus {
        outline: none;
    }

    #sidebar-backdrop {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 999;
        display: none;
        transition: opacity 0.3s ease-in-out;
    }

    #sidebar-backdrop.visible {
        display: block;
        opacity: 1;
    }
    .sidebar-toggle-btn {
        position: relative;
        z-index: 1001;
    }
}

.alert-success {
    position: relative;
    padding-right: 50px;
    background-color: #e7f9f0;
    border: 1px solid #9fe7c3;
}

.alert-success::after {
    content: "";
    background-image: url("../images/icons/checked.png");
    background-size: 40px 40px;
    background-repeat: no-repeat;
    position: absolute;
    bottom: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    opacity: 0.7;
}

.alert-danger {
    position: relative;
    padding-right: 50px;
    background-color: #ffefef;
    border: 1px solid #ef5455;
}

.alert-danger::after {
    content: "";
    background-image: url("../images/icons/warning.png");
    background-size: 40px 40px;
    background-repeat: no-repeat;
    position: absolute;
    bottom: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    opacity: 0.7;
}
.verify-btn{
    margin-left: 8px;
}
@media (max-width: 1200px) {
    .alert-danger::after {
        background-size: 30px 30px;
        background-position: bottom right;
        width: 40px;
        height: 40px;
        opacity: 0.7;
    }
}

@media (max-width: 786px) {
    .alert-danger::after {
        background-size: 22px 22px;
    }
    .verify-btn{
        margin-left: 0px !important;
    }

}

.toggle-password {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
}
.section-title-bg {
    min-height: 235px;
    background-image: url("../images/creative-labor-day-celebrations-honoring-workers.jpg");
    background-size: cover;
    background-position: center;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.section-title-bg .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(97, 85, 180, 0.95);
    border-radius: 15px;
}

.section-title-bg .content {
    position: relative;
    z-index: 1;
    color: white;
    text-align: center;
}

@media (max-width: 991.98px) {
    .section-title-bg h2 {
        font-size: 25px !important;
        margin-bottom: 10px !important;
    }
}

#tradespersonTabs .nav-item.show .nav-link,
#tradespersonTabs .nav-link.active,
#jobDetailsTabs .nav-item.show .nav-link,
#jobDetailsTabs .nav-link.active #jobTabs .nav-item.show .nav-link,
#jobTabs .nav-link.active,
#myTab .nav-item.show .nav-link,
#myTab .nav-link.active {
    background-color: #6155b4;
    color: #fff;
}

#tradespersonTabs .nav-link,
#jobDetailsTabs .nav-link,
#jobTabs .nav-link,
#myTab .nav-link {
    background-color: transparent;
    color: #6155b4;
}

#invoiceTab .nav-link.active,
#invoiceTab .nav-item.show .nav-link {
    color: #fff !important;
    background-color: #6155b4;
}
#invoiceTab .nav-link,
#jobTabs .nav-link {
    background-color: transparent;
    color: #6155b4;
}
#jobTabs .nav-link .job-count {
    display: none !important;
}
#jobTabs .nav-link.active .job-count {
    display: inline !important;
    font-size: 8px;
}
@media (min-width: 1300px) {
    #jobTabs .nav-link.active .job-count {
        display: inline !important;
        font-size: 12px;
    }
}
@media (max-width: 991px) {
    .nav-tabs .nav-link {
        padding: 4px 8px;
    }
}
.invoices-card .badge {
    color: #6155b4 !important;
    background-color: #fff !important;
}

#portfolioCarousel .carousel-control-prev-icon,
#portfolioCarousel .carousel-control-next-icon {
    background-color: #6155b4 !important;
    border-radius: 6px;
}

.sidebar-primary p {
    color: #fff !important;
}
.propsal-list-card {
    transition: background-color 0.4s ease, border-radius 0.4s ease,
        color 0.4s ease;
    border: 2px solid transparent;
}

.propsal-list-card:hover {
    background-color: #f0f2f5 !important;
    cursor: pointer;
    /* border-radius: 150px !important; */
    /* border: 2px solid #fff; */
    box-shadow: 0 5px 13px rgba(30, 41, 59, 0.2) !important;
}

/* .propsal-list-card:hover h6,
.propsal-list-card:hover p {
    color: #fff !important;
    transition: color 0.3s ease;
}

.propsal-list-card:hover .badge {
    background-color: #fff !important;
    color: #6155b4 !important;
    transition: background-color 0.3s ease, color 0.3s ease;
} */
@media (min-width: 768px) and (max-width: 991px) {
    .col-tab-reverse {
        display: flex;
        flex-direction: column-reverse;
    }
}

@media (max-width: 768px) {
    /* .header-notification-icon,
    .header-profile-icon {
        height: 30px !important;
        width: 30px !important;
    } */
    .header-notification-icon-counter {
        padding: 4px 5px !important;
    }
    .col-mob-reverse {
        display: flex;
        flex-direction: column-reverse;
    }
    .coin-balance {
        font-size: 10px !important;
        padding: 6px !important;
    }
}

.notification-item {
    padding: 15px 0;
    border-bottom: 1px solid #6155b4;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.notification-item small {
    display: block;
    margin-top: 5px;
    margin-left: 27px;
}

.stat-item {
    padding: 15px 0;
    border-bottom: 1px solid #e2e2e2;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.stat-item:last-child {
    border-bottom: none;
}

.stat-value {
    font-weight: bold;
}

.dot {
    height: 10px;
    width: 10px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 8px;
}

.profile-pic-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
}

.profile-pic-preview {
    width: 100%;
    height: auto;
    display: block;
    max-width: 200px;
    max-width: 200px;
    object-fit: cover;
}

.profile-pic-remove {
    position: absolute;
    top: 0px;
    line-height: 4px;
    background-color: #d9534f;
    border: none;
    cursor: pointer;
    padding: 8px 8px 14px;
    border-radius: 50%;
    color: #fff;
}

.toggle-password {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
}

/* @media (max-width: 1300px) and (min-width: 992px) {
    .job-status-item p {
        font-size: 12px; 
    }
    .list-unstyled:has(.job-status-item){
        display: flex !important;
        flex-direction: column;
        align-items: stretch !important;
    }
} */
@media (max-width: 992px) {
    .job-status-item p {
        font-size: 12px;
    }
    .width-sm-100{
        width: 100% !important;
    }
}
@media (max-width: 425px) {
    .job-status-item p {
        font-size: 10px;
    }
}
.job-post .job-status-item:hover h6{
    color: #fff !important;
}
@media (max-width: 460px) {
 .btn-width-xs-217{
    width: 217px !important;
 }
}

.btn-disabled {
    pointer-events: none;
    opacity: 0.6;
    cursor: not-allowed;
    background-color: #ccc;
    border-color: #ccc;
}

.img-container-shaped {
    border-radius: 0;
    border-top-right-radius: 90px;
    border-bottom-left-radius: 90px;
    border-right: 4px solid white;
    border-left: 4px solid white;
}

@media (max-width: 768px) {
    .p-m-20 {
        padding: 20px !important;
    }
    .p-m-10 {
        padding: 10px !important;
    }
    .p-m-5 {
        padding: 5px !important;
    }
    .p-m-0 {
        padding: 0px !important;
    }
    .px-m-0 {
        padding-left: 0px;
        padding-right: 0px;
    }
}
.verification-box {
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

.verification-box i {
    font-size: 40px;
}

.verification-box p {
    font-weight: bold;
    margin: 0;
}

.bg-success {
    background-color: #28a745 !important;
}

.bg-danger {
    background-color: #dc3545 !important;
}

.step .form-control {
    padding: 10px;
    border-radius: 6px;
}

.jobs-search .filter-search-form .icons {
    right: 12px !important;
    left: auto !important;
}

@media (min-width: 992px) and (max-width: 1200px) {
    #new-tab,
    #applied-tab,
    #saved-tab {
        font-size: 12px;
        font-weight: 500 !important;
        padding: 0.2rem 0.8rem;
    }
    .job-search .filter-input-box {
        padding: 13px 6px 14px !important;
        font-size: 12px !important;
        height: 30px !important;
    }
    .job-search .searchbtn {
        height: 31px !important;
        padding: 2px !important;
    }
    .job-search .filter-search-form svg,
    .job-search .searchbtn svg {
        height: 12px !important;
    }
    #filterDropdown {
        padding: 5px 5px !important;
    }
    #filterDropdown svg {
        height: 16px;
        width: 16px;
    }
}
/* .job-search{
    position: sticky;
} */

#categoryList .form-check .form-check-input {
    padding: 6px !important;
}

#categoryList .form-check {
    display: flex;
    min-height: 1.5rem;
    padding-left: 0;
    margin-bottom: 0.125rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border: 1px solid #ddd;
}
#categoryList .form-check-label {
    margin-bottom: 0px;
    padding: 0px !important;
    font-size: 12px;
    min-height: 36px;
    border: 0px solid #ddd;
}
#categoryList .form-check .form-check-input {
    width: 100%;
    height: 100%;
    background: transparent;
    right: 23px;
    border: 0;
}
.categories-card {
    background-color: #fff;
}
.categories-card:has(.form-check-input:checked) {
    background-color: #6155b4;
    color: #fff;
}
.selected-area {
    max-height: 250px;
    overflow-y: auto;
}

.upload-overlay {
    bottom: 0;
    left: 0;
    width: 100%;
    left: 49%;
    transform: translateX(-51%);
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 0 0 50% 50%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: 10px;
    cursor: pointer;
}

.upload-overlay:hover {
    opacity: 1;
}

.contact-from-card {
    border-top: 6px solid #6155b4;
}
/* Styles for the tab container */
#profileTabs {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
}

#profileTabs::-webkit-scrollbar {
    display: none;
}

#profileTabs .nav-item {
    flex-shrink: 0;
}

@media (max-width: 576px) {
    #profileTabs .nav-item {
        margin-right: 10px;
    }
}
.step-cards .employer-img {
    transition: all 0.3s ease;
    background-color: #fff !important;
}
.step-cards:hover .employer-img {
    background-color: #6155b4 !important;
}
.step-card-one img.icon-default {
    content: url("../images/icons/posting.png") !important;
}
.step-card-one:hover img.icon-default {
    content: url("../images/icons/posting-white.png") !important;
}

.step-card-two img.icon-default {
    content: url("../images/icons/phone-call.png") !important;
}
.step-card-two:hover img.icon-default {
    content: url("../images/icons/phone-call-white.png") !important;
}

.step-card-three img.icon-default {
    content: url("../images/icons/architect.png") !important;
}
.step-card-three:hover img.icon-default {
    content: url("../images/icons/architect-white.png") !important;
}

.equal-card-hight {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
@media (min-width: 768px) and (max-width: 991px) {
    .ho-btn {
        margin-top: 37px !important;
    }
    .title-heading .categorie-heading {
        font-size: 34px !important;
        line-height: 44px !important;
    }
    .filter-search-form input#job-keyword {
        font-size: 15px !important;
    }
}

.upload-items {
    position: absolute; 
    top: 0px; 
    left: 50%;
    transform: translateX(-50%)
}
